<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">




    <h:body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="conteudo">

                <h:form>
                    <h:panelGrid>

                        <h:outputLabel for="valor" value="valor" />
                        <h:inputText id="valor" value="#{ofertaBean.oferta.valor}" style="width: 40px;" />
                        <h:outputLabel for="data_inicio" value="Data_inicio" />

                        <h:outputText  id="data_inicio" value="#{ofertaBean.oferta.data_inicio}">
                            <f:convertDateTime locale="pt,BR" dateStyle="long" pattern="dd/MM/yyyy HH:mm" />
                        </h:outputText>

                        <h:outputLabel for="data_fim" value="Data_fim" />

                        <h:outputText  id="data_fim" value="#{ofertaBean.oferta.data_fim}">
                            <f:convertDateTime locale="pt,BR" dateStyle="long" pattern="dd/MM/yyyy HH:mm" />
                        </h:outputText>

                        <h:panelGroup>

                            <h:commandButton value="Salvar" action="#{ofertaBean.salvar()}" />
                            <h:commandButton value="Cancelar" action="#{ofertaBean.novo()}" />

                        </h:panelGroup>


                    </h:panelGrid>

                    <h:dataTable var="oferta"  value="#{ofertaBean.lista}">

                        <h:column>#{oferta.id}</h:column>
                        <h:column></h:column>

                    </h:dataTable>



                </h:form>
            </ui:define>
        </ui:composition>
    </h:body>
</html>
































































































































